# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Testing Use the test environment to try out merchant screening requests for different payment methods and merchant types. ## Before you begin Test the client credentials you received from the implementations team to conduct testing. For more information about getting your test client credentials, refer to [Getting started](/docs/commerce/optimization-protection/getting-started). Make sure you: - Read and try the [documentation for Merchant screening](/docs/commerce/optimization-protection/capabilities/digital-onboarding/how-to/run-merchant-screening) - Review the [Onboarding API](/api/commerce/optimization-protection/digital-onboarding/digital-onboarding) specification. - Create mock merchant credentials for each testing scenario. ## Test screening requests You can test these requests: - POST /parties to create a Party to represent your merchant. - POST /parties to add a related party using an existing parentPartyId. - POST /parties/{id}/validations to submit details for screening. - GET /parties/{id} to check status of the screening process. ## Recommended testing scenarios **Test case scenarios for merchant screening** | Test case | Test data | Response type | Expected return | | POST /parties request to create the initial record for a merchant. | A merchant accepting all payment methods | 201: Created | A new ID for your party. | | POST /parties to add a related party using an existing parentPartyId. | Related party type CONTROLLER | 201: Created | A new ID for the related party confirmed connected to the parentPartyId for the merchant. | | POST /parties/{id}/validations to submit details for screening | The ID for a successfully created merchant party. In this case the parentPartyId | 202: Accepted | Success | | GET /parties/{id} to check status of the screening process | The ID for a successfully created merchant party. In this case the parentPartyId | 2001 | profileStatus: APPROVED |